#ifndef TELEPATHY_FT_DEMO_CLIENT_H
#define TELEPATHY_FT_DEMO_CLIENT_H

#include <TelepathyQt4/AbstractClientHandler>


class FileTransferClient : public Tp::AbstractClientHandler
{
public:
    FileTransferClient();

    virtual bool bypassApproval() const;

    virtual void handleChannels(const Tp::MethodInvocationContextPtr<> &context,
            const Tp::AccountPtr &account,
            const Tp::ConnectionPtr &connection,
            const QList<Tp::ChannelPtr> &channels,
            const QList<Tp::ChannelRequestPtr> &requestsSatisfied,
            const QDateTime &userActionTime,
            const HandlerInfo &handlerInfo);
};

#endif // TELEPATHY_FT_DEMO_CLIENT_H
